NotSelector (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.NotSelector,NotSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class NotSelector

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.selectors.BaseSelector
                        |
                        +--org.apache.tools.ant.types.selectors.BaseSelectorContainer
                              |
                              +--org.apache.tools.ant.types.selectors.NoneSelector
                                    |
                                    +--org.apache.tools.ant.types.selectors.NotSelector

All Implemented Interfaces:
  FileSelector, SelectorContainer

public class NotSelector
extends NoneSelector

This selector has one other selectors whose meaning it inverts. It actually relies on NoneSelector for its implementation of the isSelected() method, but it adds a check to ensure there is only one other selector contained within.

Since:
  1.5

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`NotSelector()` Default constructor.

Method Summary
`java.lang.String` | `toString()` Convert the Selectors within this container to a string.
`void` | `verifySettings()` Makes sure that there is only one entry, sets an error message if not.

Methods inherited from class org.apache.tools.ant.types.selectors.NoneSelector
`isSelected`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelectorContainer
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, getSelectors, hasSelectors, selectorCount, selectorElements, validate`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotSelector

    public NotSelector()

  Default constructor.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `BaseSelectorContainer`
  Convert the Selectors within this container to a string. This will just be a helper class for the subclasses that put their own name around the contents listed here.

  Overrides:
    `toString` in class `NoneSelector`
  Returns:
    a string representation of the selector

### verifySettings

    public void verifySettings()

  Makes sure that there is only one entry, sets an error message if not.

  Overrides:
    `verifySettings` in class `BaseSelector`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.